Page MenuHomePhabricator

Allow running several ATS instances on the same server
Closed, ResolvedPublic

Description

Using ATS layouts . feature documented in https://wikitech.wikimedia.org/wiki/Apache_Traffic_Server#Additional_ATS_instances we can set up several ATS instances on the same server. This will be really useful to replace nginx with ATS as the TLS terminator without interfering with the ATS instance that provides backend caching.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2019, 10:24 AM
Vgutierrez moved this task from Triage to Caching on the Traffic board.Apr 17 2019, 10:30 AM
ema renamed this task from Allow running several ATS instances in the same server to Allow running several ATS instances on the same server.Apr 17 2019, 1:41 PM
ema triaged this task as Medium priority.
ema updated the task description. (Show Details)

Change 504601 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] trafficserver: Provide support for multiple ATS instances

https://gerrit.wikimedia.org/r/504601

Change 506659 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] prometheus: Support several instances of the trafficserver exporter

https://gerrit.wikimedia.org/r/506659

Change 506986 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] trafficserver: Provide a unified monitoring define

https://gerrit.wikimedia.org/r/506986

Change 504601 merged by Vgutierrez:
[operations/puppet@production] trafficserver: Provide support for multiple ATS instances

https://gerrit.wikimedia.org/r/504601

Change 508289 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] prometheus: Identify trafficserver instances using the layer label

https://gerrit.wikimedia.org/r/508289

Change 508327 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] prometheus: Toggle SSL certificate verification for trafficserver-exporter

https://gerrit.wikimedia.org/r/508327

Mentioned in SAL (#wikimedia-operations) [2019-05-07T13:50:31Z] <vgutierrez> uploaded prometheus-trafficserver-exporter 0.2.3 to apt.wikimedia.org (stretch) - T221217

Change 506659 merged by Vgutierrez:
[operations/puppet@production] prometheus: Support several instances of the trafficserver exporter

https://gerrit.wikimedia.org/r/506659

Change 510442 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Improve paths handling for multi-instance support

https://gerrit.wikimedia.org/r/510442

Change 510442 merged by Vgutierrez:
[operations/puppet@production] ATS: Improve paths handling for multi-instance support

https://gerrit.wikimedia.org/r/510442

Change 510641 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Provide a unified logs define

https://gerrit.wikimedia.org/r/510641

Change 511688 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Fix layout template

https://gerrit.wikimedia.org/r/511688

Change 511688 merged by Vgutierrez:
[operations/puppet@production] ATS: Fix layout template

https://gerrit.wikimedia.org/r/511688

Change 511711 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Fix service definition for non default instances

https://gerrit.wikimedia.org/r/511711

Change 511711 merged by Vgutierrez:
[operations/puppet@production] ATS: Fix service definition for non default instances

https://gerrit.wikimedia.org/r/511711

Change 512643 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Ensure proper permissions for ATS layouts

https://gerrit.wikimedia.org/r/512643

Change 508327 merged by Vgutierrez:
[operations/puppet@production] prometheus: Toggle SSL certificate verification for trafficserver-exporter

https://gerrit.wikimedia.org/r/508327

Change 506986 merged by Vgutierrez:
[operations/puppet@production] ATS: Provide a unified monitoring define

https://gerrit.wikimedia.org/r/506986

Change 514234 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Provide more accurate monitor descriptions

https://gerrit.wikimedia.org/r/514234

Change 514234 merged by Vgutierrez:
[operations/puppet@production] ATS: Provide more accurate monitor descriptions

https://gerrit.wikimedia.org/r/514234

Change 510641 merged by Vgutierrez:
[operations/puppet@production] ATS: Provide a unified logs define

https://gerrit.wikimedia.org/r/510641

Change 512643 merged by Vgutierrez:
[operations/puppet@production] ATS: Ensure proper permissions for ATS layouts

https://gerrit.wikimedia.org/r/512643

Change 508289 merged by Vgutierrez:
[operations/puppet@production] prometheus: Identify trafficserver instances using the layer label

https://gerrit.wikimedia.org/r/508289

Vgutierrez closed this task as Resolved.Aug 22 2019, 10:12 AM
Vgutierrez claimed this task.